package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

public class DesignTag extends BaseEntity {
    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("")
    @RColumn("idtype")
    private long idType;

    @Comment("")
    @RColumn("tagname")
    private String tagName;

    @Comment("该字段不写库,传递数据用")
    private String tagTypeName;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdType() {
        return idType;
    }

    public void setIdType(long idType) {
        this.idType = idType;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagTypeName() {
        return tagTypeName;
    }

    public void setTagTypeName(String tagTypeName) {
        this.tagTypeName = tagTypeName;
    }
}
